NetApp::Aggregate::RAIDGroup(3pm)

NAME
NetApp::Aggregate::RAIDGroup -- OO Class for representing NetApp raidgroups

SYNOPSIS
    use NetApp::Filer;
    use NetApp::Aggregate;

    my $aggregate       = $filer->get_aggregate( $name );

    my $raidgroup       = $aggregate->get_raidgroup;

DESCRIPTION
This class is used to encapsulate a NetApp raidgroup, and provide access to the name and states of the raidgroup.

METHODS

  get_name
Returns the name of the raidgroup as a string.

  get_states
Returns a list of strings, each of which represents a single state for the raidgroup.

  get_state( $state )
Returns true if the raidgroup has the given state, false otherwise.